1. Research
Efestra
  • Projects
    • Get All Projects
      GET
    • Create Project
      POST
  • Experiments
    • Get Experiment
      GET
    • Get all Eexperiments
      GET
    • Create Experiment
      POST
    • Update Experiment
      PUT
    • Delete Experiment
      DELETE
  • Research
    • Get all Research
      GET
    • Get Research
      GET
    • Create Research
      POST
    • Update Research
      PUT
    • Delete Research
      DELETE
  • Schemas
    • Project
    • Experiment
    • ExperimentDTO
    • User
    • Attachment
    • Research
    • PaginatedDTO
    • PaginatedResponse
    • ResearchDetail
    • ResearchType
    • ResearchDTO
  1. Research

Create Research

POST
https://api.efestra.com/api/react/v2/external/research
Create Research

Request

Authorization
API Key
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.efestra.com/api/react/v2/external/research' \
--header 'X-API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "name": "string",
    "type": "heat_maps",
    "description": "string",
    "start_date": "string",
    "end_date": "string",
    "tags": [
        "string"
    ]
}'
Response Response Example
{
    "id": 0,
    "name": "string",
    "description": "string",
    "type": "heat_maps",
    "start_date": "string",
    "end_date": "string",
    "tags": [
        "string"
    ],
    "author": {
        "id": "string",
        "name": "string",
        "avatar_url": "string"
    }
}
Modified at 2026-08-10 07:59:10
Previous
Get Research
Next
Update Research
Built with